[ MDVSA-2014:237 ] perl-Mojolicious

2014-12-01T00:00:00
ID SECURITYVULNS:DOC:31411
Type securityvulns
Reporter Securityvulns
Modified 2014-12-01T00:00:00

Description

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1


Mandriva Linux Security Advisory MDVSA-2014:237 http://www.mandriva.com/en/support/security/


Package : perl-Mojolicious Date : November 28, 2014 Affected: Business Server 1.0


Problem Description:

Updated perl-Mojolicious package fixes security vulnerability:

An assumption in Mojolicious before 5.48 CGI parameter handling that can result in parameter injection attacks.


References:

http://advisories.mageia.org/MGASA-2014-0488.html


Updated Packages:

Mandriva Business Server 1/X86_64: 7c9f9af2dbebaa4bdd4777144188f2a9 mbs1/x86_64/perl-Mojolicious-5.490.0-1.mbs1.noarch.rpm db0793864ff71ce4169ec1dd091a8bd6 mbs1/SRPMS/perl-Mojolicious-5.490.0-1.mbs1.src.rpm


To upgrade automatically use MandrivaUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/en/support/security/advisories/

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com


Type Bits/KeyID Date User ID pub 1024D/22458A98 2000-07-10 Mandriva Security Team <security*mandriva.com> -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFUeHZhmqjQ0CJFipgRAuDZAKDLB4CC7UdaRMS78leUXZc5DECgwACgsaS1 yzA6JPPcql+Fsf/bZUAtl8k= =rxFq -----END PGP SIGNATURE-----